

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="X-UA-Compatible" content="IE=Edge" />
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>Index &#8212; Ocular Thermal Analyzer 2019 documentation</title>
    <link rel="stylesheet" href="_static/alabaster.css" type="text/css" />
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    <script type="text/javascript" id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
    <script type="text/javascript" src="_static/jquery.js"></script>
    <script type="text/javascript" src="_static/underscore.js"></script>
    <script type="text/javascript" src="_static/doctools.js"></script>
    <link rel="index" title="Index" href="#" />
    <link rel="search" title="Search" href="search.html" />
   
  <link rel="stylesheet" href="_static/custom.css" type="text/css" />
  
  
  <meta name="viewport" content="width=device-width, initial-scale=0.9, maximum-scale=0.9" />

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          

          <div class="body" role="main">
            

<h1 id="index">Index</h1>

<div class="genindex-jumpbox">
 <a href="#_"><strong>_</strong></a>
 | <a href="#A"><strong>A</strong></a>
 | <a href="#C"><strong>C</strong></a>
 | <a href="#G"><strong>G</strong></a>
 | <a href="#H"><strong>H</strong></a>
 | <a href="#I"><strong>I</strong></a>
 | <a href="#L"><strong>L</strong></a>
 | <a href="#M"><strong>M</strong></a>
 | <a href="#N"><strong>N</strong></a>
 | <a href="#O"><strong>O</strong></a>
 | <a href="#P"><strong>P</strong></a>
 | <a href="#R"><strong>R</strong></a>
 | <a href="#S"><strong>S</strong></a>
 | <a href="#T"><strong>T</strong></a>
 
</div>
<h2 id="_">_</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="code.html#ocular_thermal_SW_doc_v1.AboutSW.__init__">__init__() (ocular_thermal_SW_doc_v1.AboutSW method)</a>, <a href="code1.html#ocular_thermal_SW_doc_v1.AboutSW.__init__">[1]</a>

      <ul>
        <li><a href="code.html#ocular_thermal_SW_doc_v1.Label.__init__">(ocular_thermal_SW_doc_v1.Label method)</a>, <a href="code1.html#ocular_thermal_SW_doc_v1.Label.__init__">[1]</a>
</li>
        <li><a href="code.html#ocular_thermal_SW_doc_v1.RoiPoly.__init__">(ocular_thermal_SW_doc_v1.RoiPoly method)</a>, <a href="code1.html#ocular_thermal_SW_doc_v1.RoiPoly.__init__">[1]</a>
</li>
        <li><a href="code.html#ocular_thermal_SW_doc_v1.ThermAnalyzer.__init__">(ocular_thermal_SW_doc_v1.ThermAnalyzer method)</a>, <a href="code1.html#ocular_thermal_SW_doc_v1.ThermAnalyzer.__init__">[1]</a>
</li>
        <li><a href="code.html#ocular_thermal_SW_doc_v1.ThermAnalyzerWin.__init__">(ocular_thermal_SW_doc_v1.ThermAnalyzerWin method)</a>, <a href="code1.html#ocular_thermal_SW_doc_v1.ThermAnalyzerWin.__init__">[1]</a>
</li>
        <li><a href="code.html#ocular_thermal_SW_doc_v1.ThermalData.__init__">(ocular_thermal_SW_doc_v1.ThermalData method)</a>, <a href="code1.html#ocular_thermal_SW_doc_v1.ThermalData.__init__">[1]</a>
</li>
      </ul></li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="code.html#ocular_thermal_SW_doc_v1.RoiPoly.__weakref__">__weakref__ (ocular_thermal_SW_doc_v1.RoiPoly attribute)</a>, <a href="code1.html#ocular_thermal_SW_doc_v1.RoiPoly.__weakref__">[1]</a>

      <ul>
        <li><a href="code.html#ocular_thermal_SW_doc_v1.ThermalData.__weakref__">(ocular_thermal_SW_doc_v1.ThermalData attribute)</a>, <a href="code1.html#ocular_thermal_SW_doc_v1.ThermalData.__weakref__">[1]</a>
</li>
      </ul></li>
      <li><a href="code.html#ocular_thermal_SW_doc_v1.RoiPoly._RoiPoly__button_press_callback">_RoiPoly__button_press_callback() (ocular_thermal_SW_doc_v1.RoiPoly method)</a>, <a href="code1.html#ocular_thermal_SW_doc_v1.RoiPoly._RoiPoly__button_press_callback">[1]</a>
</li>
      <li><a href="code.html#ocular_thermal_SW_doc_v1.RoiPoly._RoiPoly__motion_notify_callback">_RoiPoly__motion_notify_callback() (ocular_thermal_SW_doc_v1.RoiPoly method)</a>, <a href="code1.html#ocular_thermal_SW_doc_v1.RoiPoly._RoiPoly__motion_notify_callback">[1]</a>
</li>
  </ul></td>
</tr></table>

<h2 id="A">A</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="code.html#ocular_thermal_SW_doc_v1.ThermAnalyzerWin.about_sw">about_sw() (ocular_thermal_SW_doc_v1.ThermAnalyzerWin method)</a>, <a href="code1.html#ocular_thermal_SW_doc_v1.ThermAnalyzerWin.about_sw">[1]</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="code.html#ocular_thermal_SW_doc_v1.AboutSW">AboutSW (class in ocular_thermal_SW_doc_v1)</a>, <a href="code1.html#ocular_thermal_SW_doc_v1.AboutSW">[1]</a>
</li>
      <li><a href="code.html#ocular_thermal_SW_doc_v1.ThermalData.apply_mask">apply_mask() (ocular_thermal_SW_doc_v1.ThermalData method)</a>, <a href="code1.html#ocular_thermal_SW_doc_v1.ThermalData.apply_mask">[1]</a>
</li>
  </ul></td>
</tr></table>

<h2 id="C">C</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="code.html#ocular_thermal_SW_doc_v1.ThermalData.calc_blink_dur">calc_blink_dur() (ocular_thermal_SW_doc_v1.ThermalData method)</a>, <a href="code1.html#ocular_thermal_SW_doc_v1.ThermalData.calc_blink_dur">[1]</a>
</li>
      <li><a href="code.html#ocular_thermal_SW_doc_v1.ThermalData.calc_IBI">calc_IBI() (ocular_thermal_SW_doc_v1.ThermalData method)</a>, <a href="code1.html#ocular_thermal_SW_doc_v1.ThermalData.calc_IBI">[1]</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="code.html#ocular_thermal_SW_doc_v1.ThermAnalyzer.contour_anim">contour_anim() (ocular_thermal_SW_doc_v1.ThermAnalyzer method)</a>, <a href="code1.html#ocular_thermal_SW_doc_v1.ThermAnalyzer.contour_anim">[1]</a>
</li>
      <li><a href="code.html#ocular_thermal_SW_doc_v1.ThermAnalyzer.contour_plot">contour_plot() (ocular_thermal_SW_doc_v1.ThermAnalyzer method)</a>, <a href="code1.html#ocular_thermal_SW_doc_v1.ThermAnalyzer.contour_plot">[1]</a>
</li>
      <li><a href="code.html#ocular_thermal_SW_doc_v1.ThermalData.CSV_frms">CSV_frms (ocular_thermal_SW_doc_v1.ThermalData attribute)</a>, <a href="code1.html#ocular_thermal_SW_doc_v1.ThermalData.CSV_frms">[1]</a>
</li>
  </ul></td>
</tr></table>

<h2 id="G">G</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="code.html#ocular_thermal_SW_doc_v1.RoiPoly.get_mask">get_mask() (ocular_thermal_SW_doc_v1.RoiPoly method)</a>, <a href="code1.html#ocular_thermal_SW_doc_v1.RoiPoly.get_mask">[1]</a>
</li>
  </ul></td>
</tr></table>

<h2 id="H">H</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="code.html#ocular_thermal_SW_doc_v1.hms_to_seconds">hms_to_seconds() (in module ocular_thermal_SW_doc_v1)</a>, <a href="code1.html#ocular_thermal_SW_doc_v1.hms_to_seconds">[1]</a>
</li>
  </ul></td>
</tr></table>

<h2 id="I">I</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="code.html#ocular_thermal_SW_doc_v1.ThermAnalyzer.initUI">initUI() (ocular_thermal_SW_doc_v1.ThermAnalyzer method)</a>, <a href="code1.html#ocular_thermal_SW_doc_v1.ThermAnalyzer.initUI">[1]</a>
</li>
  </ul></td>
</tr></table>

<h2 id="L">L</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="code.html#ocular_thermal_SW_doc_v1.Label">Label (class in ocular_thermal_SW_doc_v1)</a>, <a href="code1.html#ocular_thermal_SW_doc_v1.Label">[1]</a>
</li>
  </ul></td>
</tr></table>

<h2 id="M">M</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="code.html#ocular_thermal_SW_doc_v1.ThermalData.mean_vals_temporal">mean_vals_temporal() (ocular_thermal_SW_doc_v1.ThermalData method)</a>, <a href="code1.html#ocular_thermal_SW_doc_v1.ThermalData.mean_vals_temporal">[1]</a>
</li>
  </ul></td>
</tr></table>

<h2 id="N">N</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="code.html#ocular_thermal_SW_doc_v1.ThermalData.num_frms">num_frms (ocular_thermal_SW_doc_v1.ThermalData attribute)</a>, <a href="code1.html#ocular_thermal_SW_doc_v1.ThermalData.num_frms">[1]</a>
</li>
  </ul></td>
</tr></table>

<h2 id="O">O</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="code.html#module-ocular_thermal_SW_doc_v1">ocular_thermal_SW_doc_v1 (module)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="code.html#ocular_thermal_SW_doc_v1.ThermAnalyzerWin.open_data">open_data() (ocular_thermal_SW_doc_v1.ThermAnalyzerWin method)</a>, <a href="code1.html#ocular_thermal_SW_doc_v1.ThermAnalyzerWin.open_data">[1]</a>
</li>
  </ul></td>
</tr></table>

<h2 id="P">P</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="code.html#ocular_thermal_SW_doc_v1.Label.paintEvent">paintEvent() (ocular_thermal_SW_doc_v1.Label method)</a>, <a href="code1.html#ocular_thermal_SW_doc_v1.Label.paintEvent">[1]</a>

      <ul>
        <li><a href="code.html#ocular_thermal_SW_doc_v1.ThermAnalyzer.paintEvent">(ocular_thermal_SW_doc_v1.ThermAnalyzer method)</a>, <a href="code1.html#ocular_thermal_SW_doc_v1.ThermAnalyzer.paintEvent">[1]</a>
</li>
      </ul></li>
  </ul></td>
</tr></table>

<h2 id="R">R</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="code.html#ocular_thermal_SW_doc_v1.read_csv_files">read_csv_files() (in module ocular_thermal_SW_doc_v1)</a>, <a href="code1.html#ocular_thermal_SW_doc_v1.read_csv_files">[1]</a>
</li>
      <li><a href="code.html#ocular_thermal_SW_doc_v1.ThermalData.roi_frms">roi_frms (ocular_thermal_SW_doc_v1.ThermalData attribute)</a>, <a href="code1.html#ocular_thermal_SW_doc_v1.ThermalData.roi_frms">[1]</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="code.html#ocular_thermal_SW_doc_v1.ThermAnalyzer.ROI_select">ROI_select() (ocular_thermal_SW_doc_v1.ThermAnalyzer method)</a>, <a href="code1.html#ocular_thermal_SW_doc_v1.ThermAnalyzer.ROI_select">[1]</a>
</li>
      <li><a href="code.html#ocular_thermal_SW_doc_v1.RoiPoly">RoiPoly (class in ocular_thermal_SW_doc_v1)</a>, <a href="code1.html#ocular_thermal_SW_doc_v1.RoiPoly">[1]</a>
</li>
  </ul></td>
</tr></table>

<h2 id="S">S</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="code.html#ocular_thermal_SW_doc_v1.ThermAnalyzerWin.setup">setup() (ocular_thermal_SW_doc_v1.ThermAnalyzerWin method)</a>, <a href="code1.html#ocular_thermal_SW_doc_v1.ThermAnalyzerWin.setup">[1]</a>
</li>
      <li><a href="code.html#ocular_thermal_SW_doc_v1.ThermAnalyzer.show_blink_dur">show_blink_dur() (ocular_thermal_SW_doc_v1.ThermAnalyzer method)</a>, <a href="code1.html#ocular_thermal_SW_doc_v1.ThermAnalyzer.show_blink_dur">[1]</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="code.html#ocular_thermal_SW_doc_v1.ThermAnalyzer.show_IBI">show_IBI() (ocular_thermal_SW_doc_v1.ThermAnalyzer method)</a>, <a href="code1.html#ocular_thermal_SW_doc_v1.ThermAnalyzer.show_IBI">[1]</a>
</li>
      <li><a href="code.html#ocular_thermal_SW_doc_v1.AboutSW.show_menu">show_menu() (ocular_thermal_SW_doc_v1.AboutSW method)</a>, <a href="code1.html#ocular_thermal_SW_doc_v1.AboutSW.show_menu">[1]</a>
</li>
  </ul></td>
</tr></table>

<h2 id="T">T</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="code.html#ocular_thermal_SW_doc_v1.ThermAnalyzer.temp_plot">temp_plot() (ocular_thermal_SW_doc_v1.ThermAnalyzer method)</a>, <a href="code1.html#ocular_thermal_SW_doc_v1.ThermAnalyzer.temp_plot">[1]</a>
</li>
      <li><a href="code.html#ocular_thermal_SW_doc_v1.ThermalData.temp_time">temp_time (ocular_thermal_SW_doc_v1.ThermalData attribute)</a>, <a href="code1.html#ocular_thermal_SW_doc_v1.ThermalData.temp_time">[1]</a>
</li>
      <li><a href="code.html#ocular_thermal_SW_doc_v1.ThermalData">ThermalData (class in ocular_thermal_SW_doc_v1)</a>, <a href="code1.html#ocular_thermal_SW_doc_v1.ThermalData">[1]</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="code.html#ocular_thermal_SW_doc_v1.ThermAnalyzer">ThermAnalyzer (class in ocular_thermal_SW_doc_v1)</a>, <a href="code1.html#ocular_thermal_SW_doc_v1.ThermAnalyzer">[1]</a>
</li>
      <li><a href="code.html#ocular_thermal_SW_doc_v1.ThermAnalyzerWin">ThermAnalyzerWin (class in ocular_thermal_SW_doc_v1)</a>, <a href="code1.html#ocular_thermal_SW_doc_v1.ThermAnalyzerWin">[1]</a>
</li>
      <li><a href="code.html#ocular_thermal_SW_doc_v1.ThermalData.time_frms">time_frms (ocular_thermal_SW_doc_v1.ThermalData attribute)</a>, <a href="code1.html#ocular_thermal_SW_doc_v1.ThermalData.time_frms">[1]</a>
</li>
  </ul></td>
</tr></table>



          </div>
          
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="index.html">Ocular Thermal Analyzer</a></h1>








<h3>Navigation</h3>
<ul>
<li class="toctree-l1"><a class="reference internal" href="code1.html">Code Documentation</a></li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="index.html">Documentation overview</a><ul>
  </ul></li>
</ul>
</div>
<div id="searchbox" style="display: none" role="search">
  <h3>Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    </div>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>








        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &copy;2019, Maryam.
      
      |
      Powered by <a href="http://sphinx-doc.org/">Sphinx 1.8.2</a>
      &amp; <a href="https://github.com/bitprophet/alabaster">Alabaster 0.7.12</a>
      
    </div>

    

    
  </body>
</html>